Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039278
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorhave not tried2018-09-12 16:422018-11-09 22:36
Reportercollazoandy4View Statuspublic 
Assigned Tojorge-garcia 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision4032f191a51c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039278: A new ProcessHQLQuery to export the product stock by assortment is needed

DescriptionThis new ProcessHQLQuery must be export the information with the same filters used to export the products (src/org/openbravo/retail/posterminal/master/Product.java) but exporting the product stock information in the assortment that belongs to the Pos
Steps To ReproduceIn the description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0107599)
hgbot (developer)
2018-10-25 16:01

Repository: tools/automation/pi-mobile
Changeset: c7bf550b7c4cf878ce3f95c8d69bd45919cbc557
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Oct 23 12:25:12 2018 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/c7bf550b7c4cf878ce3f95c8d69bd45919cbc557 [^]

Verifies issue 39278: A new ProcessHQLQuery to export the product stock by
assortment is needed

Added new test POSProductStockRequest.

---
A src-test/org/openbravo/test/mobile/retail/pack/webservice/tests/retailapi/POSProductStockRequest.java
---
(0107600)
hgbot (developer)
2018-10-25 16:02

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 4032f191a51cfdb7cc67e5d6974bb06d29a6eceb
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Fri Oct 19 13:08:00 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4032f191a51cfdb7cc67e5d6974bb06d29a6eceb [^]

Fixed issue 39278: A new ProcessHQLQuery to export the product stock by
assortment is needed

Added a new processHQLQuery to get the stock of the products loaded by the
WebPOS in the warehouses on hand of the organization.

Defined a new mobile service for this new request.

---
M src-db/database/sourcedata/OBMOBC_SERVICES.xml
A src/org/openbravo/retail/posterminal/master/ProductStock.java
A src/org/openbravo/retail/posterminal/master/ProductStockProperties.java
---
(0107630)
hgbot (developer)
2018-10-29 08:32

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c75c7789563e4e3c2f836a22579f3103fbcca8d5
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Fri Oct 26 14:13:53 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c75c7789563e4e3c2f836a22579f3103fbcca8d5 [^]

Related issue 39278: A new ProcessHQLQuery to export the product stock by
assortment is needed

Improve ProductStock query with feedback given.

---
M src/org/openbravo/retail/posterminal/master/ProductStock.java
M src/org/openbravo/retail/posterminal/master/ProductStockProperties.java
---
(0107692)
hgbot (developer)
2018-10-31 10:44

Repository: tools/automation/pi-mobile
Changeset: f9d9636eef7f449be63797b0e5f66cebdeb9ffe5
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Oct 30 10:25:59 2018 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/f9d9636eef7f449be63797b0e5f66cebdeb9ffe5 [^]

Related to issue 39278: A new ProcessHQLQuery to export the product stock by
assortment is needed

Modify POSProductStockRequest test to verify product searchkey.

---
M src-test/org/openbravo/test/mobile/retail/pack/webservice/tests/retailapi/POSProductStockRequest.java
---
(0107693)
hgbot (developer)
2018-10-31 10:44

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: d03a63588daaa794685aa838cb7bb3604ae6f884
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Oct 30 10:24:47 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d03a63588daaa794685aa838cb7bb3604ae6f884 [^]

Related to issue 39278: A new ProcessHQLQuery to export the product stock by
assortment is needed

Added a new property for ProductStock.java ProcessHQLQuery.

---
M src/org/openbravo/retail/posterminal/master/ProductStock.java
M src/org/openbravo/retail/posterminal/master/ProductStockProperties.java
---
(0107828)
hgbot (developer)
2018-11-09 22:35

Repository: tools/automation/pi-mobile
Changeset: 16049ae18ebacb11ed1ee83a017db80a7b73666c
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Wed Nov 07 10:04:10 2018 -0500
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/16049ae18ebacb11ed1ee83a017db80a7b73666c [^]

Related to issue 39278:A new ProcessHQLQuery to export the product stock by
assortment is needed

Modify POSProductStockRequest test to verify the storage bin.

---
M src-test/org/openbravo/test/mobile/retail/pack/webservice/tests/retailapi/POSProductStockRequest.java
---
(0107829)
hgbot (developer)
2018-11-09 22:36

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 3362b7920da5cf1679428034ca1cc4896c18c05c
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Tue Nov 06 16:54:00 2018 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3362b7920da5cf1679428034ca1cc4896c18c05c [^]

Related to issue 39278:A new ProcessHQLQuery to export the product stock by
assortment is needed

A new property was added to return the storage detail id

---
M src/org/openbravo/retail/posterminal/master/ProductStockProperties.java
---

- Issue History
Date Modified Username Field Change
2018-09-12 16:42 collazoandy4 New Issue
2018-09-12 16:42 collazoandy4 Assigned To => Retail
2018-09-12 16:42 collazoandy4 Triggers an Emergency Pack => No
2018-10-03 17:43 jorge-garcia Assigned To Retail => jorge-garcia
2018-10-19 13:12 jorge-garcia Status new => scheduled
2018-10-25 16:01 hgbot Checkin
2018-10-25 16:01 hgbot Note Added: 0107599
2018-10-25 16:02 hgbot Checkin
2018-10-25 16:02 hgbot Note Added: 0107600
2018-10-25 16:02 hgbot Status scheduled => resolved
2018-10-25 16:02 hgbot Resolution open => fixed
2018-10-25 16:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4032f191a51cfdb7cc67e5d6974bb06d29a6eceb [^]
2018-10-29 08:32 hgbot Checkin
2018-10-29 08:32 hgbot Note Added: 0107630
2018-10-31 10:44 hgbot Checkin
2018-10-31 10:44 hgbot Note Added: 0107692
2018-10-31 10:44 hgbot Checkin
2018-10-31 10:44 hgbot Note Added: 0107693
2018-11-09 22:35 hgbot Checkin
2018-11-09 22:35 hgbot Note Added: 0107828
2018-11-09 22:36 hgbot Checkin
2018-11-09 22:36 hgbot Note Added: 0107829


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker